#chatbot-toggle-btn {
    position: fixed;
    top: 80%;
    right: 0;
    transform: translateY(-50%);
    background-color: transparent; /* Adjust as needed */
    border: none; /* Adjust as needed */
    cursor: pointer;
    padding: 0px; /* Adjust as needed */
    z-index: 999;
}

#chatbot-toggle-btn img {
    width: 30px;
    height: 30px;
}

.chat-icon{
    color: white;
    font-size: 300%;
    background-color: #0074CC;
    padding: 20px 16px 20px 20px;
    border-radius: 20px 0 0  20px;
}

.chatbot-popup {
    display: none;
    position: fixed;
    bottom: 14%;
    right: 4%;
    background-color: #fff;
    border-radius: 15px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2);
    width: 350px;
    max-width: 90%;
    z-index: 1000;
}
.chat-header {
    background-color: #1087FF;
    color: #fff;
    padding: 15px 20px;
    border-top-left-radius: 15px;
    border-top-right-radius: 15px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}
#close-btn {
    background-color: transparent;
    border: none;
    color: #fff;
    font-size: 20px;
    cursor: pointer;
}
.chat-box {
    max-height: 350px;
    overflow-y: auto;
    padding: 15px 20px;
}
.chat-input {
    display: flex;
    align-items: center;
    padding: 10px 20px;
    border-top: 1px solid #ddd;
}
#user-input {
    font-family: "Poppins";
    flex: 1;
    padding: 10px;
    border: 1px solid #ddd;
    border-radius: 12px;
    outline: none;
}
#send-btn {
    font-family: "Poppins", sans-serif;
    padding: 10px 20px;
    border: none;
    background-color: #1087FF;
    color: #fff;
    border-radius: 12px;
    margin-left: 10px;
    cursor: pointer;
    transition: background-color 0.3s ease;
}
#send-btn:hover {
    background-color: #0074CC;
}
.user-message {
    background-color: #f3f3f3;
    color: #333;
    padding: 14px;
    border-radius: 15px;
    margin-bottom: 15px;
    margin-top: 15px;
    margin-left: 10px; /* Push user message to the left */
    position: relative;
    display: flex;
    align-items: center;
    flex-direction: row-reverse; /* Move user message to the right */
}
.user-message::before {
    content: "\1F468"; /* Man emoji */
    position: absolute;
    bottom: -17px;
    right: -20px;
    margin-bottom: 7px;
    font-size: 20px;
    background-color: #1087FF;
    color: #fff;
    border-radius: 50%;
    width: 30px;
    height: 30px;
    display: flex;
    justify-content: center;
    align-items: center;
    box-shadow: 0 0 5px rgba(0, 0, 0, 0.3);
}
.bot-message {
    background-color: #1087FF;
    color: #fff;
    padding: 14px;
    border-radius: 15px;
    margin-bottom: 10px;
    margin-top: 15px;
    align-self: flex-start; /* Move bot message to the left */
    margin-right: 10px; /* Push bot message to the right */
    position: relative;
    display: flex;
    align-items: center;
    flex-direction: column; /* Adjust for button placement */
}
.bot-message::before {
    content: "\1F916"; /* Robot emoji */
    position: absolute;
    bottom: -17px;
    left: -14px;
    margin-bottom: 4px;
    font-size: 20px;
    background-color: #1087FF;
    color: #fff;
    border-radius: 50%;
    width: 30px;
    height: 30px;
    display: flex;
    justify-content: center;
    align-items: center;
    box-shadow: 0 0 5px rgba(0, 0, 0, 0.3);
}
.button-container {
    display: flex;
    justify-content: space-around;
    margin-top: 10px;
}
.button-container button {
    padding: 10px 50px;
    border: none;
    background-color: #1087FF;
    color: #fff;
    border-radius: 10px;
    cursor: pointer;
    transition: background-color 0.3s ease;
}
.button-container button:hover {
    background-color: #0074CC;
}